package run

/* ---------------------------------------------------------------- *
 * IMPORTS
 * ---------------------------------------------------------------- */

import (
	"ads/internal/core/logging"
	"ads/internal/setup"
)

/* ---------------------------------------------------------------- *
 * ACTIONS - basic
 * ---------------------------------------------------------------- */

func actionShowVersion() (bool, error) {
	logging.LogPlain(
		"",
		setup.Logo(),
		setup.Version(),
		"",
	)
	return false, nil
}

func actionRunOnConfig() (bool, error) {
	path, cancel, err := logging.Prompt("Pfad zur Configdatei bitte eingeben:")
	if cancel {
		err = nil
	} else if err == nil {
		err = RunNonInteractive(path)
	}
	return cancel, err
}
